**Purpose**:
There may come a time that you need to free up space in a Veeam Backup & Replication backup repository because you are running out of space.  In these cases, you need to manually trim the older backups in a specific way to ensure this is non-destructive. 

## Manual Removal of Backup Data
You need to perform these steps to carefully delete the oldest full backup chain w/ incrementals.

- Log into the Veeam Backup & Replication server and locate the local folder hosting the backup repository that is running out of space
- Locate the oldest "**Full**" backup and delete it along with all of the "**incremental**" backups after it leading to the second-most-recent full backup.

!!! warning "Incremental Backups Affecting the Chain"
    Be mindful that if you delete the incremental backups but not the full backup associated with those incrementals you will break the backup chain.  In the event this happens, either un-delete the incrementals and try again, or go one-level-deeper and delete the second-oldest full backup and all incrementals to correct the chain's structure.

## Rescan Backup Repository
At this point, you can just re-scan the backup repository within Veeam so the Veeam database gets updated to notice the missing backup files that you just deleted.  [Rescanning Backup Repositories](https://helpcenter.veeam.com/docs/backup/vsphere/rescanning_backup_repositories.html?ver=120)

- Launch Veeam Backup & Replication Console
- Navigate to "**Backup Infrastructure > Backup Repositories**"
- Locate the backup repository you deleted backup files from, then "**Right-click > Rescan**"

## Removing Restore Points from Database
At this point, you have deleted the backup files and re-scanned the backup repository(s) to ensure that Veeam updated its database to notice the now-missing backup files.  Now you need to tell Veeam to "forget" about the older backups you deleted so they are no longer displayed within Veeam itself.  [Removing Missing Restore Points](https://helpcenter.veeam.com/docs/backup/vsphere/remove_missing_point.html?ver=120)

- Navigate to "**Home > Backups > Disk**"
- Locate the backup job associated with the device's backup files you deleted
- Right-click the associated backup job > "**Properties...**"
- In the Backup Properties window, right-click the missing restore point(s) and click "**Forget**" > "**All Unavailable Backups**"